CURLOPT_SASL_AUTHZID(3)

NAME
CURLOPT_SASL_AUTHZID - authorisation identity (identity to act as)

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SASL_AUTHZID, char *authzid);

DESCRIPTION
Pass a char * as parameter, which should be pointing to the null-terminated authorisation identity (authzid) for the transfer. Only applicable to the PLAIN SASL authentication mechanism where it is optional. When not specified only the authentication identity (authcid) as specified by the username will be sent to the server, along with the password. The server will derive a authzid from the authcid when not provided, which it will then uses internally. When the authzid is specified, the use of which is server dependent, it can be used to access another user's inbox, that the user has been granted access to, or a shared mailbox for example.

DEFAULT
blank

PROTOCOLS
IMAP, POP3 and SMTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "imap://example.com/");
  curl_easy_setopt(curl, CURLOPT_USERNAME, "Kurt");
  curl_easy_setopt(curl, CURLOPT_PASSWORD, "xipj3plmq");
  curl_easy_setopt(curl, CURLOPT_SASL_AUTHZID, "Ursel");
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.66.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_USERNAME(3), CURLOPT_PASSWORD(3), .BRCURLOPT_USERPWD(3)